ChangeSet 1.1717.7.6, 2004/05/28 10:05:31-07:00, greg@kroah.com

[PATCH] Report which device failed to suspend

Based on a patch from Nickolai Zeldovich <kolya@MIT.EDU> but put into the
proper place by me.

Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/base/power/suspend.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletion(-)


diff -Nru a/drivers/base/power/suspend.c b/drivers/base/power/suspend.c
--- a/drivers/base/power/suspend.c	Fri May 28 14:18:03 2004
+++ b/drivers/base/power/suspend.c	Fri May 28 14:18:03 2004
@@ -39,6 +39,8 @@
 {
 	int error = 0;
 
+	dev_dbg(dev, "suspending\n");
+
 	if (dev->bus && dev->bus->suspend && !dev->power.power_state)
 		error = dev->bus->suspend(dev,state);
 
@@ -82,8 +84,11 @@
 		} else if (error == -EAGAIN) {
 			list_del(&dev->power.entry);
 			list_add(&dev->power.entry,&dpm_off_irq);
-		} else
+		} else {
+			printk(KERN_ERR "Could not suspend device %s: "
+				"error %d\n", kobject_name(&dev->kobj), error);
 			goto Error;
+		}
 	}
  Done:
 	up(&dpm_sem);
